using log4net;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Framework.Module;
using VIZ.Package.Domain;
using VIZ.Package.Storage;

namespace VIZ.Package.Module
{
    /// <summary>
    /// 应用程序启动 -- 初始化LiteDB 配置
    /// </summary>
    public class AppSetup_InitLiteDB_Config : AppSetupBase
    {
        /// <summary>
        /// 日志
        /// </summary>
        private static ILog log = LogManager.GetLogger(typeof(AppSetup_InitLiteDB_Config));

        /// <summary>
        /// 描述
        /// </summary>
        public override string Detail { get; } = "应用程序启动 -- 初始化LiteDB 配置";

        /// <summary>
        /// 执行启动
        /// </summary>
        /// <param name="context">应用程序启动上下文</param>
        /// <returns>是否成功执行</returns>
        public override bool Setup(AppSetupContext context)
        {
            // 热键配置
            HotKeyConfigEntity hotkey = ApplicationDomainEx.LocalDbContext.HotKeyConfig.FindAll().FirstOrDefault();
            if (hotkey == null)
            {
                hotkey = new HotKeyConfigEntity();
                ApplicationDomainEx.LocalDbContext.HotKeyConfig.Insert(hotkey);
            }

            ApplicationDomainEx.HotKeyConfig = hotkey;

            return true;
        }

        /// <summary>
        /// 执行关闭
        /// </summary>
        /// <param name="context">应用程序启动上下文</param>
        public override void Shutdown(AppSetupContext context)
        {

        }
    }
}